{% extends 'base.html.twig' %}
{% block title %}Organizations{% endblock %}
{% block page %}Organizations{% endblock %}
{% block body %}
    <div class="content">
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header card-header-primary">
                        <h4 class="card-title ">Organizations</h4>
                        <p class="card-category">List of organizations</p>
                    </div>
                    <div class="card-body">
                        <div class="table-responsive table-striped">
                            <table class="table">
                                <thead class=" text-primary">
                                <th>ID</th>
                                <th>Name</th>
                                <th>Alias</th>
                                <th>Owner</th>
                                <th class="text-center">Actions</th>
                                </thead>
                                <tbody>
                                {% for organization in organizations %}
                                    <tr>
                                        <td>{{ organization.id }}</td>
                                        <td>{{ organization.name }}</td>
                                        <td>{{ organization.alias }} </td>
                                        <td>{{ organization.owner.username }}</td>
                                        <td class="text-center">
                                            <a class="organization-edit" data-id="{{ organization.id }}" href="#" data-toggle="modal" data-target="#modal">
                                                <i class="material-icons">edit</i>
                                            </a>
                                        </td>
                                    </tr>
                                {% endfor %}
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    </div>{% endblock %}
{% block javascripts %}
    <script type="text/javascript">
        $(function() {
            const $modal = $('#modal');
            const $modalBody = $modal.find('.modal-body');
            const $modalTitle = $modal.find('.modal-title');
            $modalTitle.html('Organization edit')
            $('.organization-edit').on('click', function() {
                event.preventDefault()
                const id = $(event.currentTarget).data('id')
                $.get('/admin/organization/'+id+'/edit')
                    .done((response) => {
                        $modalBody.html(response)
                        $modal.modal('show')
                    })
            })
        });
    </script>
{% endblock %}
